title: C4C Custom Role Storage
description: |
    A custom role with specified permissions for Compute Engine, Resource Manager, IAM, Storage, Certificate Manager, BigQuery, Cloud Functions, Pub/Sub, Monitoring, and Secret Manager for Cross4Storage.
stage: ALPHA
includedPermissions:
- certificatemanager.certs.create
- certificatemanager.certs.get
- certificatemanager.certs.update
- certificatemanager.certs.use
- cloudfunctions.functions.create
- cloudfunctions.functions.delete
- cloudfunctions.functions.get
- cloudfunctions.functions.getIamPolicy
- cloudfunctions.functions.list
- cloudfunctions.functions.setIamPolicy
- cloudfunctions.functions.update
- cloudfunctions.operations.get
- compute.backendBuckets.create
- compute.backendBuckets.createTagBinding
- compute.backendBuckets.delete
- compute.backendBuckets.get
- compute.backendBuckets.list
- compute.backendBuckets.setSecurityPolicy
- compute.backendBuckets.update
- compute.backendBuckets.use
- compute.globalAddresses.create
- compute.globalAddresses.delete
- compute.globalAddresses.get
- compute.globalAddresses.use
- compute.globalAddresses.setLabels
- compute.globalForwardingRules.create
- compute.globalForwardingRules.delete
- compute.globalForwardingRules.get
- compute.globalForwardingRules.list
- compute.globalForwardingRules.update
- compute.instances.delete
- compute.instances.get
- compute.instances.list
- compute.instances.reset
- compute.instances.start
- compute.instances.stop
- compute.projects.get
- compute.regions.list
- compute.sslCertificates.create
- compute.sslCertificates.delete
- compute.sslCertificates.get
- compute.targetHttpProxies.create
- compute.targetHttpProxies.delete
- compute.targetHttpProxies.get
- compute.targetHttpProxies.setUrlMap
- compute.targetHttpProxies.update
- compute.targetHttpProxies.use
- compute.targetHttpsProxies.create
- compute.targetHttpsProxies.delete
- compute.targetHttpsProxies.get
- compute.targetHttpsProxies.setCertificateMap
- compute.targetHttpsProxies.setSslCertificates
- compute.targetHttpsProxies.setUrlMap
- compute.targetHttpsProxies.update
- compute.targetHttpsProxies.use
- compute.urlMaps.create
- compute.urlMaps.delete
- compute.urlMaps.get
- compute.urlMaps.update
- compute.urlMaps.use
- compute.urlMaps.validate
- iam.roles.get
- iam.serviceAccountKeys.get
- iam.serviceAccounts.actAs
- iam.serviceAccounts.create
- iam.serviceAccounts.delete
- iam.serviceAccounts.get
- monitoring.timeSeries.list
- monitoring.alertPolicies.create
- monitoring.alertPolicies.delete
- monitoring.alertPolicies.get
- monitoring.alertPolicies.list
- monitoring.alertPolicies.update
- monitoring.notificationChannelDescriptors.get
- monitoring.notificationChannelDescriptors.list
- monitoring.notificationChannels.create
- monitoring.notificationChannels.delete
- monitoring.notificationChannels.get
- monitoring.notificationChannels.getVerificationCode
- monitoring.notificationChannels.list
- monitoring.notificationChannels.sendVerificationCode
- monitoring.notificationChannels.update
- monitoring.notificationChannels.verify
- pubsub.topics.create
- pubsub.topics.delete
- pubsub.topics.get
- pubsub.topics.getIamPolicy
- pubsub.topics.publish
- pubsub.topics.setIamPolicy
- resourcemanager.projects.get
- resourcemanager.projects.getIamPolicy
- resourcemanager.projects.setIamPolicy
- secretmanager.secrets.create
- secretmanager.secrets.delete
- secretmanager.secrets.get
- secretmanager.secrets.getIamPolicy
- secretmanager.secrets.list
- secretmanager.secrets.setIamPolicy
- secretmanager.secrets.update
- secretmanager.versions.access
- secretmanager.versions.add
- serviceusage.services.list
- storage.buckets.create
- storage.buckets.delete
- storage.buckets.get
- storage.buckets.getIamPolicy
- storage.buckets.list
- storage.buckets.setIamPolicy
- storage.buckets.update
- storage.objects.create
- storage.objects.delete
- storage.objects.get
- storage.objects.list
- storage.objects.update
- storagetransfer.jobs.create
- storagetransfer.jobs.delete
- storagetransfer.jobs.get
- storagetransfer.jobs.list
- storagetransfer.jobs.run
- storagetransfer.jobs.update
- storagetransfer.operations.get
- storagetransfer.operations.list
- storagetransfer.projects.getServiceAccount
- eventarc.events.receiveAuditLogWritten
- eventarc.events.receiveEvent

